Skip to main content

Get Historical Order Deal Details

Response Example

{
"success": true,
"code": 0,
"data": [
{
"id": "9466823344",
"symbol": "DOGE_USDT",
"side": 3,
"vol": 1,
"price": 0.18695,
"fee": 0,
"feeCurrency": "USDT",
"profit": 0,
"category": 1,
"orderId": "739211854408619008",
"timestamp": 1761912240000,
"positionMode": 1,
"taker": true
},
{
"id": "9466784116",
"symbol": "DOGE_USDT",
"side": 3,
"vol": 1,
"price": 0.18645,
"fee": 0,
"feeCurrency": "USDT",
"profit": 0,
"category": 1,
"orderId": "739211257974395392",
"timestamp": 1761912098000,
"positionMode": 1,
"taker": true
}
]
}
  • GET /api/v1/private/order/list/order_deals/v3

Required Permission: View Order Details

Request Parameters:

ParameterTypeRequiredDescription
symbolstringtrueTrading pair
start_timelongfalseUnix millisecond timestamp
end_timelongfalseUnix millisecond timestamp
page_numinttruePage number; default 1
page_sizeinttruePage size; default 20; max cannot exceed 1000

Response Parameters:

ParameterTypeDescription
pageSizeintPage size
totalCountintTotal count
totalPageintTotal pages
currentPageintCurrent page
resultListlistResult set
idlongDeal order id
symbolstringContract
sideintOrder side 1 open long,2 close short,3 open short,4 close long
voldecimalDeal quantity
pricedecimalDeal price
feedecimalFee
feeCurrencystringFee currency
timestamplongUpdated time